orzia_entity = {}
orzia_entity.__index = orzia_entity

function orzia_entity.create(x, y, graphic, blocks, name)

	local entity = {}             
	setmetatable(entity, orzia_entity)

	entity.x = x
	entity.y = y
	entity.graphic = graphic
	entity.blocks = blocks
	entity.name = name

	entity.moving = false
	entity.direction = {["x"] = 0,["y"] = 0}
	entity.movestep = 0

	return entity
	 
end

function orzia_entity:move(dx, dy)

	if map.tiles[self.x + dx][self.y + dy].blocked == false then

		local blocked = false
		
		for i, entity in ipairs(entities) do
			if entity.blocks and entity.x == self.x + dx and entity.y == self.y + dy then
				blocked = true
			end
		end

		if blocked ~= true then
			self.moving = true
			self.direction = {["x"] = dx,["y"] = dy}
		end

	end

end

function orzia_entity:continueMoving(step_distance, tile_size)

	self.movestep = self.movestep + step_distance   --- return x, y offset to add

	if self.movestep == tile_size then
		
		self.moving = false
		self.movestep = 0
		self.x = self.x + self.direction["x"]
		self.y = self.y + self.direction["y"]

		pr(self)

		return false

	end

	return true

end