orzia_tile = {}
orzia_tile.__index = orzia_tile

function orzia_tile.create(blocked, x, y, size)

	local tile = {}             
	setmetatable(tile, orzia_tile)  

	tile.blocked = blocked
	tile.size = size
	tile.x = x
	tile.y = y
	tile.graphic = {
		["x"] = 0,
		["y"] = 0,
		["rotation"] = 0,
		["ox"] = 0,
		["oy"] = 0
	} 

	return tile
	 
end

function orzia_tile:countWalls(tiles)

	local walls = 0 

	for x = self.x - 1, self.x + 1 do
		for y = self.y - 1, self.y + 1 do
			if tiles[x] == nil or tiles[x][y] == nil then
				walls = walls + 1
			elseif tiles[x][y].blocked == true then
				walls = walls + 1
			end
		end
	end

	return walls

end

function orzia_tile:countWallsAdjacent(tiles)

	local walls = 0

	for x = self.x - 1, self.x + 1 do
		if tiles[x][self.y].blocked == true and self.x ~= x then
			walls = walls + 1
		end
	end

	for y = self.y - 1, self.y + 1 do
		if tiles[self.x][y].blocked == true and self.y ~= y then
			walls = walls + 1
		end
	end

	return walls

end

function orzia_tile:determineOrientation(tiles, adjacentWalls)

	-- ugh, why won't this just work

	if adjacentWalls == 3 then --wall orientation

		if tiles[self.x - 1][self.y].blocked == false then
			self.graphic.x = 1
		else
			self.graphic.x = 2
		end

	end

end